<head>
    <link rel="stylesheet" crossorigin="anonymous"
    href="https://cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/css/bootstrap.min.css" 
    integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu">
</head>

<h3 style="color: darkolivegreen;">Welcome {{emailId}}!</h3>
<h1 align="center">Show Employees</h1> <br/>

<div class="container">
    <table class="table table-bordered table-sm table-hover table-striped">
        <thead>
            <tr>
                <th class="bg-info text-white">EmpId</th>
                <th class="bg-info text-white">EmpName</th>
                <th class="bg-info text-white">Salary</th>
                <th class="bg-info text-white">Gender</th>
                <th class="bg-info text-white">Country</th>
                <th class="bg-info text-white">DOJ</th>
                <th class="bg-info text-white">Experience</th>
                <th class="bg-info text-white" colspan="2" style="text-align: center;">Actions</th>
            </tr>
        </thead>

        <tbody>
            <tr *ngFor="let emp of employees" align="center">
                <td> {{emp.empId                         }} </td>
                <td> {{emp.empName | gender: emp.gender | uppercase }} </td>
                <td> {{emp.salary  | currency: 'INR'     }} </td>
                <td> {{emp.gender  | lowercase           }} </td>
                <td> {{emp.country                       }} </td>
                <td> {{emp.doj     | date: 'dd-MMM-yyyy' }} </td>
                <td> {{emp.doj     | exp }} </td>
                <td> <button (click)="editEmployee(emp)"><span class="glyphicon glyphicon-pencil"></span></button> </td>
                <td> <button (click)="deleteEmployee(emp)"><span class="glyphicon glyphicon-trash"></span></button> </td>
            </tr>
        </tbody>
    </table>
</div>







<!-- Modal Dialog for Edit Employee -->
<div class="modal fade" id="editEmp" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">

        <div class="modal-header">
          <h5 class="modal-title"><b>Edit Employee</b></h5>
          <p style="margin-left: 350px;">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span style="text-align: right;" aria-hidden="true">&times;</span>
          </button>
        </p>
        </div>

        <div class="modal-body">
            <table align="center">
                <tr>
                    <td> EmpId</td>
                    <td> <input type="text" name="empId" [(ngModel)]="editEmp.empId" readonly /> </td>
                </tr>
                <tr>
                    <td> EmpName </td>
                    <td> <input type="text" name="empName" [(ngModel)]="editEmp.empName" /> </td>
                </tr>
                <tr>
                    <td> Salary </td>
                    <td> <input type="text" name="salary" [(ngModel)]="editEmp.salary" /> </td>
                </tr>
                <tr>
                    <td> Gender </td>
                    <td>
                        <select name="salary" [(ngModel)]="editEmp.gender">
                            <option value="{{editEmp.gender}}" selected>{{editEmp.gender}}</option>
                            <option value="Male">   Male </option>
                            <option value="Female"> Female </option>
                            <option value="Others"> Others </option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td> DateOfJoin </td>
                    <td> <input type="date" name="doj" [(ngModel)]="editEmp.doj" /> </td>
                </tr>
                <tr>
                    <td> Country </td>
                    <td>
                        <select name="country" [(ngModel)]="editEmp.country">
                            <option value="{{editEmp.country}}" selected>{{editEmp.country}}</option>
                            <option value="{{country.cca3}}" *ngFor="let country of countries"> {{country.name.common}} </option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td> Email-Id </td>
                    <td> <input type="text" name="emailId" [(ngModel)]="editEmp.emailId" readonly /> </td>
                </tr>
                <tr>
                    <td> Password </td>
                    <td> <input type="password" name="password" [(ngModel)]="editEmp.password" readonly /> </td>
                </tr>
            
                <!-- Add a row to display the departments data -->
                <tr>
                    <td> Department </td>
                    <td>
                        <select name="department" [(ngModel)]="editEmp.department.deptId">
                            <option value="{{editEmp.department.deptId}}" selected>{{editEmp.department.deptName}}</option>
                            <option value="{{dept.deptId}}" *ngFor="let dept of departments"> {{dept.deptName}} </option>
                        </select>
                    </td>
                </tr>
            </table>
        </div>

        <div class="modal-footer">
          <button (click)="updateEmployee()" type="button" class="btn btn-secondary" data-dismiss="modal">Update Employee</button>
        </div>
      </div>
    </div>
  </div>
<!-- Modal Dialog for Edit Employee -->


